; File: ir-rx-pulse-dist.config.asm
;
; == Symbols to be defined by the including main file ==
; The values to the right of the equals sign are examples only.
;
; === CPU clock frequency in Hz ===
;.equ F_CPU = 7_372_800
;
; === IR Receiver connection ===
;.equ IR_RX_PIN = PINB
;.equ IR_RX = PB0
;
; === Temporary registers ===
;.def temp0 = r16
;.def temp1 = r17
;.def temp2 = r18
;
; === Zero register ===
; The register "zero" must be defined and cleared.
;
; === IR-dedicated registers ===
; Registers beginning with "ir_" are modified by the ir_intr interrupt routine and the routines beginning with "ir_".
;.def ir_prev = r2 ; previous IR_RX_PIN value
;.def ir_intrCntrL = r3 ; interrupt counter, incremented by ir_intr
;.def ir_intrCntrH = r4
;.def ir_pulseCntr = r20
;.def ir_data0 = r5 ; first received IR data byte
;.def ir_data1 = r6 ; second received IR data byte
;.def ir_data2 = r7 ; third received IR data byte
;.def ir_data3 = r8 ; fourth received IR data byte
;
; == Implemented IR codes ==
; Currently implemented IR codes, values following https://www.mikrocontroller.net/articles/IRMP
.equ IR_NEC = 2
.equ IR_SAMSUNG32 = 10

; == Configuration ==
; Choose the IR protocol to be received:
.equ IR_PROTOCOL = IR_NEC

; Choose whether to recognize repetition frames.
; Only available if the chosen protocol uses them.
; Comment the following line to disable the recognition of repetition frames:
.equ IR_RECOGNIZE_REPETITION = 1

; Choose whether to set a debug flag and call a discard handler when a reception was discarded.
; Comment the following line to disable this:
.equ IR_DEBUG = 1

; Set the admissible time tolerance as a factor:
#define IR_TOLERANCE 0.3

; Set the IR interrupt frequency in Hz = interrupts per second:
#define IR_INTR_FREQ 20000

; Set the denominator of the IR timer prescaler:
#define IR_TIMER_PRESC 8

; Set the timeout in milliseconds:
#define IR_TIMEOUT 20
